#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Certificate manager and GUI for OpenPGP and CMS cryptography
Name:           kleopatra
Epoch:          2
Version: 23.04.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(KF5Codecs) >= 5.91.0
BuildRequires:  cmake(KF5DBusAddons) >= 5.91.0
BuildRequires:  cmake(KF5KCMUtils) >= 5.91.0
BuildRequires:  cmake(KF5Config) >= 5.91.0
BuildRequires:  cmake(KF5I18n) >= 5.91.0
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Notifications) >= 5.91.0
BuildRequires:  cmake(KF5XmlGui) >= 5.91.0
BuildRequires:  cmake(KF5WindowSystem) >= 5.91.0
BuildRequires:  cmake(KF5TextWidgets) >= 5.91.0
BuildRequires:  cmake(KF5DocTools) >= 5.91.0

# Kdepimlibs packages
BuildRequires:  cmake(KPim5Libkleo) >= 5.23.1
BuildRequires:  cmake(KPim5Mime) >= 5.23.1
BuildRequires:  cmake(KPim5IdentityManagement)
BuildRequires:  cmake(KPim5MailTransport)
BuildRequires:  cmake(KPim5MailTransportAkonadi)

BuildRequires:  pkgconfig(Qt5Core) >= 5.15.2
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.15.2
BuildRequires:  pkgconfig(Qt5Test) >= 5.15.2
BuildRequires:  pkgconfig(Qt5Network) >= 5.15.2

BuildRequires:  boost-devel >= 1.58
BuildRequires:  gpgme-devel >= 1.15.0

Requires:       pinentry-qt5
Requires:       openssh-askpass-qt5

Recommends:     kleopatra-handbook


%description
Certificate manager and GUI for OpenPGP and CMS cryptography.

%files -f %name.lang
%_kf5_categoriesdir/kleopatra.categories
%_kf5_categoriesdir/kleopatra.renamecategories
%_kf5_bindir/kleopatra
%_kf5_bindir/kwatchgnupg
%_kf5_metainfodir/org.kde.kleopatra.appdata.xml
%_kf5_applicationsdir/kleopatra_import.desktop
%_kf5_applicationsdir/org.kde.kleopatra.desktop
%_kf5_iconsdir/*/*/*/*
%_kf5_datadir/kconf_update/*
%_kf5_datadir/kleopatra
%_kf5_datadir/kwatchgnupg
%_kf5_datadir/kio/servicemenus/kleopatra_decryptverifyfiles.desktop
%_kf5_datadir/kio/servicemenus/kleopatra_decryptverifyfolders.desktop
%_kf5_datadir/kio/servicemenus/kleopatra_signencryptfiles.desktop
%_kf5_datadir/kio/servicemenus/kleopatra_signencryptfolders.desktop
%_kf5_datadir/mime/packages/application-vnd-kde-kleopatra.xml
%_qt5_plugindir/pim5/kcms/kleopatra/kleopatra_config_gnupgsystem.so

#--------------------------------------------------------------------

%package -n kleopatra-handbook
Summary:        Kleopatra and Kwatchgnugpg handbooks
Group:          Documentation
BuildArch:      noarch
Requires:       kleopatra => %{epoch}:%{version}-%{release}

%description -n kleopatra-handbook
This package provides handbooks for Kleopatra & Kwatchgnugpg.

%files -n kleopatra-handbook
%_kf5_docdir/HTML/*/kleopatra
%_kf5_docdir/HTML/*/kwatchgnupg

#--------------------------------------------------------------------

%define kf5kleopatraclientcore_major 1
%define libkleopatraclientcore %mklibname kf5kleopatraclientcore %{kf5kleopatraclientcore_major}

%package -n %libkleopatraclientcore
Summary:        Certificate manager and GUI for OpenPGP and CMS cryptography
Group:          System/Libraries

%description -n %libkleopatraclientcore
Certificate manager and GUI for OpenPGP and CMS cryptography.

%files -n %libkleopatraclientcore
%_kf5_libdir/libkleopatraclientcore.so.%{kf5kleopatraclientcore_major}{,.*}

#--------------------------------------------------------------------

%define kf5kleopatraclientgui_major 1
%define libkleopatraclientgui %mklibname kf5kleopatraclientgui %{kf5kleopatraclientgui_major}

%package -n %libkleopatraclientgui
Summary:        Certificate manager and GUI for OpenPGP and CMS cryptography
Group:          System/Libraries


%description -n %libkleopatraclientgui
Certificate manager and GUI for OpenPGP and CMS cryptography.

%files -n %libkleopatraclientgui
%_kf5_libdir/libkleopatraclientgui.so.%{kf5kleopatraclientgui_major}{,.*}

#--------------------------------------------------------------------

%define kf5libkleopatra_devel %mklibname kf5libkleopatra -d

%package -n %kf5libkleopatra_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkleopatraclientcore = %epoch:%version-%release
Requires:       %libkleopatraclientgui = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5libkleopatra_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5libkleopatra_devel
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name



%changelog
* Thu Aug 31 2023 neoclust <neoclust> 2:23.04.3-1.mga9
+ Revision: 1982461
- New version 23.04.3

* Sun May 28 2023 daviddavid <daviddavid> 2:23.04.1-2.mga9
+ Revision: 1959401
- enable kpim5 support

* Sat May 27 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1958749
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946505
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941798
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922919
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911413
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905265
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886784
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1882628
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873080
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1853973
- New version 22.04.0

* Sun Apr 17 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1851008
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 2:21.12.0-3.mga9
+ Revision: 1846160
- Mageia 9 Mass Rebuild

* Mon Apr 04 2022 wally <wally> 2:21.12.0-2.mga9
+ Revision: 1843372
- rebuild for gpgme 1.17.1

* Mon Dec 27 2021 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1764518
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724072
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718359
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698556
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694088
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655618
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644004
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633820
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627062
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1614931
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604127
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596860
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1585192
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568141
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559330
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540279
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513300
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466955
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457904
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447013
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1424998
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390453
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387660
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1382597
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375609
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365573
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356511
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339519
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332749
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327403
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298575
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1228970
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201900
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194922
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1186460
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143050
- New version 17.08.0

* Fri Aug 11 2017 daviddavid <daviddavid> 2:17.07.90-2.mga7
+ Revision: 1139652
- requires pinentry-qt5 (mga#21033)

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136784
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 2:17.04.3-2.mga7
+ Revision: 1133572
- Fix for new find_lang
+ neoclust <neoclust>
- Add conflicts to ease upgrade

* Mon Jul 24 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1130156
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090080
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076820
- New version 16.12.0

* Fri Dec 09 2016 daviddavid <daviddavid> 2:16.11.90-1.mga6
+ Revision: 1073879
- recommends kleopatra-handbook (mga#19907)
+ neoclust <neoclust>
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067343
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061402
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050668
- New version 16.08.1

* Wed Aug 24 2016 daviddavid <daviddavid> 2:16.08.0-1.mga6
+ Revision: 1048472
- add a patch to fix assuan.h include path
+ neoclust <neoclust>
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040069
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012555
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004345
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 2:16.03.80-2.mga6
+ Revision: 997834
- Add handbook subpackage

* Thu Mar 31 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997116
- imported package kleopatra

